libwps::WPSDocument Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
libwps::WPSDocument Class Reference

This class provides all the functions an application would need to parse Works documents. More...

`#include <WPSDocument.h>`

## Static Public Member Functions
static WPSLIB WPSConfidence | isFileFormatSupported (librevenge::RVNGInputStream *input, WPSKind &kind)
| Analyzes the content of an input stream to see if it can be parsed. More...
static WPSLIB WPSResult | parse (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *documentInterface)
| Parses the input stream content. More...
static WPSLIB WPSResult | parse (librevenge::RVNGInputStream *input, librevenge::RVNGSpreadsheetInterface *documentInterface)
| Parses the input stream content. More...

## Detailed Description

This class provides all the functions an application would need to parse Works documents.

## Member Function Documentation

WPSLIB WPSConfidence WPSDocument::isFileFormatSupported | ( | librevenge::RVNGInputStream * | ip,
|  | WPSKind & | kind
| ) |  |
| static

Analyzes the content of an input stream to see if it can be parsed.

Parameters

  ip | The input stream
  kind | The document kind

Returns
  A confidence value which represents the likelyhood that the content from the input stream can be parsed

WPSLIB WPSResult WPSDocument::parse | ( | librevenge::RVNGInputStream * | ip,
|  | librevenge::RVNGTextInterface * | documentInterface
| ) |  |
| static

Parses the input stream content.

It will make callbacks to the functions provided by a librevenge::RVNGTextInterface class implementation when needed. This is often commonly called the 'main parsing routine'.

Parameters

  ip | The input stream
  documentInterface | A WPSListener implementation

WPSLIB WPSResult WPSDocument::parse | ( | librevenge::RVNGInputStream * | ip,
|  | librevenge::RVNGSpreadsheetInterface * | documentInterface
| ) |  |
| static

Parses the input stream content.

It will make callbacks to the functions provided by a librevenge::RVNGSpreadsheetInterface class implementation when needed. This is often commonly called the 'main parsing routine'.

Parameters

  ip | The input stream
  documentInterface | A SpreadsheetInterface implementation

The documentation for this class was generated from the following files:

- WPSDocument.h
- WPSDocument.cpp